#ifndef ATTACKS_H
#define ATTACKS_H

#include <stdint.h>
#include <vector>

class CAttacks
{
public:
    struct SAttack
    {
        int cooldown;
        int hitProbability;
    };

    struct SComboAttack
    {
        uint8_t type;
    };

    struct SCombo
    {
        SComboAttack    attacks[3];
    };

    CAttacks();

    void        readAttacksDB();
    void        readCombosDB();
    SAttack&    getAttack(int num);
    SCombo&     getCombo(int num);

private:
    std::vector<SAttack> mAttacks;
    std::vector<SCombo> mCombos;
};

extern CAttacks   attacks;

#endif // ATTACKS_H
